<?php


return  
    [
        'model' => [
            'model' => \Bixo\Product\Models\Property::class,
            'table' => 'bixo_product_properties',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['organization_id',  'branch_id',  'department_id',  'division_id',  'contact_id',  'developer_id',  'country_id',  'region_id',  'location_id',  'sublocation_id',  'building_id',  'tower_id',  'category_type',  'category',  'property_for',  'property_type',  'status',  'premium',  'exclusive',  'title',  'ref',  'ref_pf',  'ref_byt',  'unit',  'type',  'floor',  'beds',  'baths',  'parking',  'bua',  'price',  'maintenance',  'description',  'description_more',  'construction_status',  'completion_on',  'furnishing',  'appliances',  'views',  'plot',  'price_on_request',  'frequency',  'cheques',  'parking_no',  'photos',  'floor_plans',  'conmmission_split',  'deposit',  'deposit_amount',  'portals',  'medias',  'features',  'available_from',  'rented',  'rented_price',  'rented_cheques',  'rent_start',  'rent_end',  'trakheesi',  'project',  'portal_settings',  'settings',  'latitude',  'longitude',  'notes',  'documents',  'assign_to',  'referred_by',  'marketed_by',  'created_by',  'published_at',  'unpublished_at',  'expires_at',  'synced_at',  'archived_at'],
            'translatables' => [],
            'upload_folder' => 'product/property',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "organization_id", 
                "type" => "text", 
                "label" => 'product::property.label.organization_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branch_id", 
                "type" => "text", 
                "label" => 'product::property.label.branch_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "department_id", 
                "type" => "text", 
                "label" => 'product::property.label.department_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "division_id", 
                "type" => "text", 
                "label" => 'product::property.label.division_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_id", 
                "type" => "text", 
                "label" => 'product::property.label.contact_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_id", 
                "type" => "text", 
                "label" => 'product::property.label.developer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'product::property.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "region_id", 
                "type" => "text", 
                "label" => 'product::property.label.region_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'product::property.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sublocation_id", 
                "type" => "text", 
                "label" => 'product::property.label.sublocation_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_id", 
                "type" => "text", 
                "label" => 'product::property.label.building_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tower_id", 
                "type" => "text", 
                "label" => 'product::property.label.tower_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category_type", 
                "type" => "text", 
                "label" => 'product::property.label.category_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category", 
                "type" => "text", 
                "label" => 'product::property.label.category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_for", 
                "type" => "text", 
                "label" => 'product::property.label.property_for', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type", 
                "type" => "text", 
                "label" => 'product::property.label.property_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "premium", 
                "type" => "text", 
                "label" => 'product::property.label.premium', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "exclusive", 
                "type" => "text", 
                "label" => 'product::property.label.exclusive', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "title", 
                "type" => "text", 
                "label" => 'product::property.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'product::property.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref_pf", 
                "type" => "text", 
                "label" => 'product::property.label.ref_pf', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref_byt", 
                "type" => "text", 
                "label" => 'product::property.label.ref_byt', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit", 
                "type" => "text", 
                "label" => 'product::property.label.unit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'product::property.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "floor", 
                "type" => "text", 
                "label" => 'product::property.label.floor', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "beds", 
                "type" => "text", 
                "label" => 'product::property.label.beds', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "baths", 
                "type" => "text", 
                "label" => 'product::property.label.baths', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking", 
                "type" => "text", 
                "label" => 'product::property.label.parking', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bua", 
                "type" => "text", 
                "label" => 'product::property.label.bua', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'product::property.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "maintenance", 
                "type" => "text", 
                "label" => 'product::property.label.maintenance', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'product::property.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "construction_status", 
                "type" => "text", 
                "label" => 'product::property.label.construction_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "completion_on", 
                "type" => "text", 
                "label" => 'product::property.label.completion_on', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "furnishing", 
                "type" => "text", 
                "label" => 'product::property.label.furnishing', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "appliances", 
                "type" => "text", 
                "label" => 'product::property.label.appliances', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "views", 
                "type" => "text", 
                "label" => 'product::property.label.views', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "plot", 
                "type" => "text", 
                "label" => 'product::property.label.plot', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price_on_request", 
                "type" => "text", 
                "label" => 'product::property.label.price_on_request', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "frequency", 
                "type" => "text", 
                "label" => 'product::property.label.frequency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheques", 
                "type" => "text", 
                "label" => 'product::property.label.cheques', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking_no", 
                "type" => "text", 
                "label" => 'product::property.label.parking_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photos", 
                "type" => "text", 
                "label" => 'product::property.label.photos', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "floor_plans", 
                "type" => "text", 
                "label" => 'product::property.label.floor_plans', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "conmmission_split", 
                "type" => "text", 
                "label" => 'product::property.label.conmmission_split', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deposit", 
                "type" => "text", 
                "label" => 'product::property.label.deposit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deposit_amount", 
                "type" => "text", 
                "label" => 'product::property.label.deposit_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "portals", 
                "type" => "text", 
                "label" => 'product::property.label.portals', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "medias", 
                "type" => "text", 
                "label" => 'product::property.label.medias', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "features", 
                "type" => "text", 
                "label" => 'product::property.label.features', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "available_from", 
                "type" => "text", 
                "label" => 'product::property.label.available_from', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rented", 
                "type" => "text", 
                "label" => 'product::property.label.rented', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rented_price", 
                "type" => "text", 
                "label" => 'product::property.label.rented_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rented_cheques", 
                "type" => "text", 
                "label" => 'product::property.label.rented_cheques', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_start", 
                "type" => "text", 
                "label" => 'product::property.label.rent_start', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_end", 
                "type" => "text", 
                "label" => 'product::property.label.rent_end', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "trakheesi", 
                "type" => "text", 
                "label" => 'product::property.label.trakheesi', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project", 
                "type" => "text", 
                "label" => 'product::property.label.project', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "portal_settings", 
                "type" => "text", 
                "label" => 'product::property.label.portal_settings', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "settings", 
                "type" => "text", 
                "label" => 'product::property.label.settings', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "latitude", 
                "type" => "text", 
                "label" => 'product::property.label.latitude', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "longitude", 
                "type" => "text", 
                "label" => 'product::property.label.longitude', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'product::property.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documents", 
                "type" => "text", 
                "label" => 'product::property.label.documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "assign_to", 
                "type" => "text", 
                "label" => 'product::property.label.assign_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "referred_by", 
                "type" => "text", 
                "label" => 'product::property.label.referred_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "marketed_by", 
                "type" => "text", 
                "label" => 'product::property.label.marketed_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "created_by", 
                "type" => "text", 
                "label" => 'product::property.label.created_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "published_at", 
                "type" => "text", 
                "label" => 'product::property.label.published_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unpublished_at", 
                "type" => "text", 
                "label" => 'product::property.label.unpublished_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "expires_at", 
                "type" => "text", 
                "label" => 'product::property.label.expires_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "synced_at", 
                "type" => "text", 
                "label" => 'product::property.label.synced_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "archived_at", 
                "type" => "text", 
                "label" => 'product::property.label.archived_at', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'organization_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.organization_id',
                "placeholder" => 'product::property.placeholder.organization_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branch_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.branch_id',
                "placeholder" => 'product::property.placeholder.branch_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'department_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.department_id',
                "placeholder" => 'product::property.placeholder.department_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'division_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.division_id',
                "placeholder" => 'product::property.placeholder.division_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.contact_id',
                "placeholder" => 'product::property.placeholder.contact_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.developer_id',
                "placeholder" => 'product::property.placeholder.developer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.country_id',
                "placeholder" => 'product::property.placeholder.country_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'region_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.region_id',
                "placeholder" => 'product::property.placeholder.region_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.location_id',
                "placeholder" => 'product::property.placeholder.location_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sublocation_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.sublocation_id',
                "placeholder" => 'product::property.placeholder.sublocation_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.building_id',
                "placeholder" => 'product::property.placeholder.building_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tower_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.tower_id',
                "placeholder" => 'product::property.placeholder.tower_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'product::property.label.category_type',
                "placeholder" => 'product::property.placeholder.category_type',
                "rules" => '',
                "options" => function(){
                    return trans('product::property.options.category_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.category',
                "placeholder" => 'product::property.placeholder.category',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_for',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'product::property.label.property_for',
                "placeholder" => 'product::property.placeholder.property_for',
                "rules" => '',
                "options" => function(){
                    return trans('product::property.options.property_for');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'product::property.label.property_type',
                "placeholder" => 'product::property.placeholder.property_type',
                "rules" => '',
                "options" => function(){
                    return trans('product::property.options.property_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'premium',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.premium',
                "placeholder" => 'product::property.placeholder.premium',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'exclusive',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.exclusive',
                "placeholder" => 'product::property.placeholder.exclusive',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.title',
                "placeholder" => 'product::property.placeholder.title',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.ref',
                "placeholder" => 'product::property.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref_pf',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.ref_pf',
                "placeholder" => 'product::property.placeholder.ref_pf',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref_byt',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.ref_byt',
                "placeholder" => 'product::property.placeholder.ref_byt',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.unit',
                "placeholder" => 'product::property.placeholder.unit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.type',
                "placeholder" => 'product::property.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'floor',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.floor',
                "placeholder" => 'product::property.placeholder.floor',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'beds',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.beds',
                "placeholder" => 'product::property.placeholder.beds',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'baths',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.baths',
                "placeholder" => 'product::property.placeholder.baths',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.parking',
                "placeholder" => 'product::property.placeholder.parking',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bua',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.bua',
                "placeholder" => 'product::property.placeholder.bua',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.price',
                "placeholder" => 'product::property.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'maintenance',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.maintenance',
                "placeholder" => 'product::property.placeholder.maintenance',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.description',
                "placeholder" => 'product::property.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description_more',
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'product::property.label.description_more',
                "placeholder" => 'product::property.placeholder.description_more',
                "rules" => '',
                "group" => "main.main",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'construction_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'product::property.label.construction_status',
                "placeholder" => 'product::property.placeholder.construction_status',
                "rules" => '',
                "options" => function(){
                    return trans('product::property.options.construction_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'completion_on',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'product::property.label.completion_on',
                "placeholder" => 'product::property.placeholder.completion_on',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'furnishing',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'product::property.label.furnishing',
                "placeholder" => 'product::property.placeholder.furnishing',
                "rules" => '',
                "options" => function(){
                    return trans('product::property.options.furnishing');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'appliances',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'product::property.label.appliances',
                "placeholder" => 'product::property.placeholder.appliances',
                "rules" => '',
                "options" => function(){
                    return trans('product::property.options.appliances');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'views',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.views',
                "placeholder" => 'product::property.placeholder.views',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'plot',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.plot',
                "placeholder" => 'product::property.placeholder.plot',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price_on_request',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.price_on_request',
                "placeholder" => 'product::property.placeholder.price_on_request',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'frequency',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'product::property.label.frequency',
                "placeholder" => 'product::property.placeholder.frequency',
                "rules" => '',
                "options" => function(){
                    return trans('product::property.options.frequency');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheques',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.cheques',
                "placeholder" => 'product::property.placeholder.cheques',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.parking_no',
                "placeholder" => 'product::property.placeholder.parking_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photos',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.photos',
                "placeholder" => 'product::property.placeholder.photos',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'floor_plans',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.floor_plans',
                "placeholder" => 'product::property.placeholder.floor_plans',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'conmmission_split',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'product::property.label.conmmission_split',
                "placeholder" => 'product::property.placeholder.conmmission_split',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deposit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'product::property.label.deposit',
                "placeholder" => 'product::property.placeholder.deposit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deposit_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'product::property.label.deposit_amount',
                "placeholder" => 'product::property.placeholder.deposit_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'portals',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.portals',
                "placeholder" => 'product::property.placeholder.portals',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'medias',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.medias',
                "placeholder" => 'product::property.placeholder.medias',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'features',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.features',
                "placeholder" => 'product::property.placeholder.features',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'available_from',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'product::property.label.available_from',
                "placeholder" => 'product::property.placeholder.available_from',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rented',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.rented',
                "placeholder" => 'product::property.placeholder.rented',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rented_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'product::property.label.rented_price',
                "placeholder" => 'product::property.placeholder.rented_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rented_cheques',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.rented_cheques',
                "placeholder" => 'product::property.placeholder.rented_cheques',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_start',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'product::property.label.rent_start',
                "placeholder" => 'product::property.placeholder.rent_start',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_end',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'product::property.label.rent_end',
                "placeholder" => 'product::property.placeholder.rent_end',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'trakheesi',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.trakheesi',
                "placeholder" => 'product::property.placeholder.trakheesi',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.project',
                "placeholder" => 'product::property.placeholder.project',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'portal_settings',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.portal_settings',
                "placeholder" => 'product::property.placeholder.portal_settings',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'settings',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.settings',
                "placeholder" => 'product::property.placeholder.settings',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'latitude',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.latitude',
                "placeholder" => 'product::property.placeholder.latitude',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'longitude',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.longitude',
                "placeholder" => 'product::property.placeholder.longitude',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.notes',
                "placeholder" => 'product::property.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::property.label.documents',
                "placeholder" => 'product::property.placeholder.documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'assign_to',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.assign_to',
                "placeholder" => 'product::property.placeholder.assign_to',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'referred_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.referred_by',
                "placeholder" => 'product::property.placeholder.referred_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'marketed_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.marketed_by',
                "placeholder" => 'product::property.placeholder.marketed_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'created_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::property.label.created_by',
                "placeholder" => 'product::property.placeholder.created_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'published_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'product::property.label.published_at',
                "placeholder" => 'product::property.placeholder.published_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unpublished_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'product::property.label.unpublished_at',
                "placeholder" => 'product::property.placeholder.unpublished_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'expires_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'product::property.label.expires_at',
                "placeholder" => 'product::property.placeholder.expires_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'synced_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'product::property.label.synced_at',
                "placeholder" => 'product::property.placeholder.synced_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'archived_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'product::property.label.archived_at',
                "placeholder" => 'product::property.placeholder.archived_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'product/property/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'product/property/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'product/property',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'product/property',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'product/property',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'product/property',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'product::property.label.created_at',
            'name' => 'product::property.label.name',
            'status' => 'product::property.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "product::property.groups.main",
                'group' => "main.main",
                'title' => "product::property.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "product::property.groups.details",
                'group' => "main.details",
                'title' => "product::property.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "product::property.groups.images",
                'group' => "main.images",
                'title' => "product::property.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "product::property.groups.settings",
                'group' => "main.settings",
                'title' => "product::property.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Product',
            'module' => 'Property',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Product\Models\Property::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'product::property.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['product.property.copy', 'product.property.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'product::property.label.count',
                        "placeholder" => 'product::property.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'product::property.label.comment',
                        "placeholder" => 'product::property.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'product::property.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'product::property.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
