<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoProductDescriptionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_product_descriptions
         */
        Schema::create('bixo_product_descriptions', function ($table) {
            $table->increments('id');
            $table->string('type', 200)->nullable();
            $table->string('category', 200)->nullable();
            $table->string('language', 50)->nullable();
            $table->integer('portal_id')->nullable();
            $table->text('description')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_product_descriptions');
    }
}
