<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoProductPropertiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_product_properties
         */
        Schema::create('bixo_product_properties', function ($table) {
            $table->increments('id');
            $table->integer('organization_id')->nullable();
            $table->integer('branch_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('division_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->integer('developer_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('region_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('building_id')->nullable();
            $table->integer('tower_id')->nullable();
            $table->enum('category_type', ['Yes', 'No'])->nullable();
            $table->string('category', 30)->nullable();
            $table->enum('property_for', ['Yes', 'No'])->nullable();
            $table->enum('property_type', ['Yes', 'No'])->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->tinyInteger('premium')->nullable();
            $table->tinyInteger('exclusive')->nullable();
            $table->string('title', 100)->nullable();
            $table->string('ref', 100)->nullable();
            $table->string('ref_pf', 15)->nullable();
            $table->integer('ref_byt')->nullable();
            $table->string('unit', 20)->nullable();
            $table->string('type', 25)->nullable();
            $table->string('floor', 30)->nullable();
            $table->integer('beds')->nullable();
            $table->integer('baths')->nullable();
            $table->integer('parking')->nullable();
            $table->integer('bua')->nullable();
            $table->bigInteger('price')->nullable();
            $table->integer('maintenance')->nullable();
            $table->text('description')->nullable();
            $table->longText('description_more')->nullable();
            $table->enum('construction_status', ['Yes', 'No'])->nullable();
            $table->date('completion_on')->nullable();
            $table->enum('furnishing', ['Yes', 'No'])->nullable();
            $table->enum('appliances', ['Yes', 'No'])->nullable();
            $table->string('views', 255)->nullable();
            $table->string('plot', 10)->nullable();
            $table->tinyInteger('price_on_request')->nullable();
            $table->enum('frequency', ['Yes', 'No'])->nullable();
            $table->tinyInteger('cheques')->nullable();
            $table->string('parking_no', 20)->nullable();
            $table->text('photos')->nullable();
            $table->text('floor_plans')->nullable();
            $table->decimal('conmmission_split', 5,2)->nullable();
            $table->float('deposit')->nullable();
            $table->float('deposit_amount')->nullable();
            $table->text('portals')->nullable();
            $table->text('medias')->nullable();
            $table->text('features')->nullable();
            $table->date('available_from')->nullable();
            $table->tinyInteger('rented')->nullable();
            $table->decimal('rented_price', 12,2)->nullable();
            $table->tinyInteger('rented_cheques')->nullable();
            $table->date('rent_start')->nullable();
            $table->date('rent_end')->nullable();
            $table->string('trakheesi', 50)->nullable();
            $table->string('project', 200)->nullable();
            $table->text('portal_settings')->nullable();
            $table->text('settings')->nullable();
            $table->string('latitude', 50)->nullable();
            $table->string('longitude', 50)->nullable();
            $table->text('notes')->nullable();
            $table->text('documents')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->integer('assign_to')->nullable();
            $table->integer('referred_by')->nullable();
            $table->integer('marketed_by')->nullable();
            $table->integer('created_by')->nullable();
            $table->dateTime('published_at')->nullable();
            $table->dateTime('unpublished_at')->nullable();
            $table->dateTime('expires_at')->nullable();
            $table->timestamp('synced_at')->nullable();
            $table->timestamp('archived_at')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_product_properties');
    }
}
