<?php

namespace Bixo\Product\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class DescriptionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_product_descriptions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.product.description.view',
                'name'      => 'View Description',
            ],
            [
                'slug'      => 'bixo.product.description.create',
                'name'      => 'Create Description',
            ],
            [
                'slug'      => 'bixo.product.description.edit',
                'name'      => 'Update Description',
            ],
            [
                'slug'      => 'bixo.product.description.delete',
                'name'      => 'Delete Description',
            ],
            
                        [
                'slug'      => 'bixo.product.description.verify',
                'name'      => 'Verify Description',
            ],
            [
                'slug'      => 'bixo.product.description.approve',
                'name'      => 'Approve Description',
            ],
            [
                'slug'      => 'bixo.product.description.publish',
                'name'      => 'Publish Description',
            ],
            [
                'slug'      => 'bixo.product.description.unpublish',
                'name'      => 'Unpublish Description',
            ],
            [
                'slug'      => 'bixo.product.description.cancel',
                'name'      => 'Cancel Description',
            ],
            [
                'slug'      => 'bixo.product.description.archive',
                'name'      => 'Archive Description',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/product/description',
                'name'        => 'Description',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/product/description',
                'name'        => 'Description',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'description',
                'name'        => 'Description',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Product',
                'module'    => 'Description',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.product.description.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
