<?php

namespace Bixo\Product\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class PortalTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_product_portals')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.product.portal.view',
                'name'      => 'View Portal',
            ],
            [
                'slug'      => 'bixo.product.portal.create',
                'name'      => 'Create Portal',
            ],
            [
                'slug'      => 'bixo.product.portal.edit',
                'name'      => 'Update Portal',
            ],
            [
                'slug'      => 'bixo.product.portal.delete',
                'name'      => 'Delete Portal',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/product/portal',
                'name'        => 'Portal',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/product/portal',
                'name'        => 'Portal',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'portal',
                'name'        => 'Portal',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Product',
                'module'    => 'Portal',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.product.portal.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
