<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for property in product package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  property module in product package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Property',
    'names' => 'Properties',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Properties',
        'sub' => 'Properties'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'category_type' => 
            [
                                
                [
                    'key'    => 'Commercial',
                    'value'  => 'Commercial',
                    'text'   => 'Commercial',
                ],
                                
                [
                    'key'    => 'Residential',
                    'value'  => 'Residential',
                    'text'   => 'Residential',
                ],
                                
            ],

        'property_for' => 
            [
                                
                [
                    'key'    => 'Rental',
                    'value'  => 'Rental',
                    'text'   => 'Rental',
                ],
                                
                [
                    'key'    => 'Sales',
                    'value'  => 'Sales',
                    'text'   => 'Sales',
                ],
                                
            ],

        'property_type' => 
            [
                                
                [
                    'key'    => 'Live',
                    'value'  => 'Live',
                    'text'   => 'Live',
                ],
                                
                [
                    'key'    => 'Pocket',
                    'value'  => 'Pocket',
                    'text'   => 'Pocket',
                ],
                                
                [
                    'key'    => 'Developer',
                    'value'  => 'Developer',
                    'text'   => 'Developer',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Waiting Publish',
                    'value'  => 'Waiting Publish',
                    'text'   => 'Waiting Publish',
                ],
                                
                [
                    'key'    => 'Published',
                    'value'  => 'Published',
                    'text'   => 'Published',
                ],
                                
                [
                    'key'    => 'Waiting Unpublish',
                    'value'  => 'Waiting Unpublish',
                    'text'   => 'Waiting Unpublish',
                ],
                                
                [
                    'key'    => 'Unpublished',
                    'value'  => 'Unpublished',
                    'text'   => 'Unpublished',
                ],
                                
            ],

        'construction_status' => 
            [
                                
                [
                    'key'    => 'Completed',
                    'value'  => 'Completed',
                    'text'   => 'Completed',
                ],
                                
                [
                    'key'    => 'Under Construction',
                    'value'  => 'Under Construction',
                    'text'   => 'Under Construction',
                ],
                                
            ],

        'furnishing' => 
            [
                                
                [
                    'key'    => 'Furnished',
                    'value'  => 'Furnished',
                    'text'   => 'Furnished',
                ],
                                
                [
                    'key'    => 'Unfurnished',
                    'value'  => 'Unfurnished',
                    'text'   => 'Unfurnished',
                ],
                                
                [
                    'key'    => 'Partly Furnished',
                    'value'  => 'Partly Furnished',
                    'text'   => 'Partly Furnished',
                ],
                                
                [
                    'key'    => 'Fitted',
                    'value'  => 'Fitted',
                    'text'   => 'Fitted',
                ],
                                
                [
                    'key'    => 'Not Fitted',
                    'value'  => 'Not Fitted',
                    'text'   => 'Not Fitted',
                ],
                                
            ],

        'appliances' => 
            [
                                
                [
                    'key'    => 'Included',
                    'value'  => 'Included',
                    'text'   => 'Included',
                ],
                                
                [
                    'key'    => 'Not Included',
                    'value'  => 'Not Included',
                    'text'   => 'Not Included',
                ],
                                
            ],

        'frequency' => 
            [
                                
                [
                    'key'    => 'Day',
                    'value'  => 'Day',
                    'text'   => 'Day',
                ],
                                
                [
                    'key'    => 'Week',
                    'value'  => 'Week',
                    'text'   => 'Week',
                ],
                                
                [
                    'key'    => 'Month',
                    'value'  => 'Month',
                    'text'   => 'Month',
                ],
                                
                [
                    'key'    => 'Year',
                    'value'  => 'Year',
                    'text'   => 'Year',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'organization_id'            => 'Please enter organization id',
        'branch_id'                  => 'Please enter branch id',
        'department_id'              => 'Please enter department id',
        'division_id'                => 'Please enter division id',
        'contact_id'                 => 'Please enter contact id',
        'developer_id'               => 'Please enter developer id',
        'country_id'                 => 'Please enter country id',
        'region_id'                  => 'Please enter region id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'building_id'                => 'Please enter building id',
        'tower_id'                   => 'Please enter tower id',
        'category_type'              => 'Please select category type',
        'category'                   => 'Please enter category',
        'property_for'               => 'Please select property for',
        'property_type'              => 'Please select property type',
        'status'                     => 'Please select status',
        'premium'                    => 'Please enter premium',
        'exclusive'                  => 'Please enter exclusive',
        'title'                      => 'Please enter title',
        'ref'                        => 'Please enter ref',
        'ref_pf'                     => 'Please enter ref pf',
        'ref_byt'                    => 'Please enter ref byt',
        'unit'                       => 'Please enter unit',
        'type'                       => 'Please enter type',
        'floor'                      => 'Please enter floor',
        'beds'                       => 'Please enter beds',
        'baths'                      => 'Please enter baths',
        'parking'                    => 'Please enter parking',
        'bua'                        => 'Please enter bua',
        'price'                      => 'Please enter price',
        'maintenance'                => 'Please enter maintenance',
        'description'                => 'Please enter description',
        'description_more'           => 'Please enter description more',
        'construction_status'        => 'Please select construction status',
        'completion_on'              => 'Please select completion on',
        'furnishing'                 => 'Please select furnishing',
        'appliances'                 => 'Please select appliances',
        'views'                      => 'Please enter views',
        'plot'                       => 'Please enter plot',
        'price_on_request'           => 'Please enter price on request',
        'frequency'                  => 'Please select frequency',
        'cheques'                    => 'Please enter cheques',
        'parking_no'                 => 'Please enter parking no',
        'photos'                     => 'Please enter photos',
        'floor_plans'                => 'Please enter floor plans',
        'conmmission_split'          => 'Please enter conmmission split',
        'deposit'                    => 'Please enter deposit',
        'deposit_amount'             => 'Please enter deposit amount',
        'portals'                    => 'Please enter portals',
        'medias'                     => 'Please enter medias',
        'features'                   => 'Please enter features',
        'available_from'             => 'Please select available from',
        'rented'                     => 'Please enter rented',
        'rented_price'               => 'Please enter rented price',
        'rented_cheques'             => 'Please enter rented cheques',
        'rent_start'                 => 'Please select rent start',
        'rent_end'                   => 'Please select rent end',
        'trakheesi'                  => 'Please enter trakheesi',
        'project'                    => 'Please enter project',
        'portal_settings'            => 'Please enter portal settings',
        'settings'                   => 'Please enter settings',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'upload_folder'              => 'Please enter upload folder',
        'assign_to'                  => 'Please enter assign to',
        'referred_by'                => 'Please enter referred by',
        'marketed_by'                => 'Please enter marketed by',
        'created_by'                 => 'Please enter created by',
        'published_at'               => 'Please select published at',
        'unpublished_at'             => 'Please select unpublished at',
        'expires_at'                 => 'Please select expires at',
        'synced_at'                  => 'Please select synced at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'archived_at'                => 'Please select archived at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'organization_id'            => 'Organization id',
        'branch_id'                  => 'Branch id',
        'department_id'              => 'Department id',
        'division_id'                => 'Division id',
        'contact_id'                 => 'Contact id',
        'developer_id'               => 'Developer id',
        'country_id'                 => 'Country id',
        'region_id'                  => 'Region id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'building_id'                => 'Building id',
        'tower_id'                   => 'Tower id',
        'category_type'              => 'Category type',
        'category'                   => 'Category',
        'property_for'               => 'Property for',
        'property_type'              => 'Property type',
        'status'                     => 'Status',
        'premium'                    => 'Premium',
        'exclusive'                  => 'Exclusive',
        'title'                      => 'Title',
        'ref'                        => 'Ref',
        'ref_pf'                     => 'Ref pf',
        'ref_byt'                    => 'Ref byt',
        'unit'                       => 'Unit',
        'type'                       => 'Type',
        'floor'                      => 'Floor',
        'beds'                       => 'Beds',
        'baths'                      => 'Baths',
        'parking'                    => 'Parking',
        'bua'                        => 'Bua',
        'price'                      => 'Price',
        'maintenance'                => 'Maintenance',
        'description'                => 'Description',
        'description_more'           => 'Description more',
        'construction_status'        => 'Construction status',
        'completion_on'              => 'Completion on',
        'furnishing'                 => 'Furnishing',
        'appliances'                 => 'Appliances',
        'views'                      => 'Views',
        'plot'                       => 'Plot',
        'price_on_request'           => 'Price on request',
        'frequency'                  => 'Frequency',
        'cheques'                    => 'Cheques',
        'parking_no'                 => 'Parking no',
        'photos'                     => 'Photos',
        'floor_plans'                => 'Floor plans',
        'conmmission_split'          => 'Conmmission split',
        'deposit'                    => 'Deposit',
        'deposit_amount'             => 'Deposit amount',
        'portals'                    => 'Portals',
        'medias'                     => 'Medias',
        'features'                   => 'Features',
        'available_from'             => 'Available from',
        'rented'                     => 'Rented',
        'rented_price'               => 'Rented price',
        'rented_cheques'             => 'Rented cheques',
        'rent_start'                 => 'Rent start',
        'rent_end'                   => 'Rent end',
        'trakheesi'                  => 'Trakheesi',
        'project'                    => 'Project',
        'portal_settings'            => 'Portal settings',
        'settings'                   => 'Settings',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'upload_folder'              => 'Upload folder',
        'assign_to'                  => 'Assign to',
        'referred_by'                => 'Referred by',
        'marketed_by'                => 'Marketed by',
        'created_by'                 => 'Created by',
        'published_at'               => 'Published at',
        'unpublished_at'             => 'Unpublished at',
        'expires_at'                 => 'Expires at',
        'synced_at'                  => 'Synced at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'archived_at'                => 'Archived at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
