<?php

// Web routes  for product.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for property

Route::prefix('{guard}/property')->group(function () {

    Route::get('/workflow/{property}/{user}', 'PropertyWorkflowController@get')
        ->name('bixo.product.workflow');
    Route::post('/workflow/{property}/{user}', 'PropertyWorkflowController@post');

    Route::get('/action/{property}/{user}', 'PropertyActionController@get')
        ->name('bixo.product.action');
    Route::post('/action/{property}/{user}', 'PropertyActionController@post');

});


// Workflow routes for portal

Route::prefix('{guard}/portal')->group(function () {


    Route::get('/action/{portal}/{user}', 'PortalActionController@get')
        ->name('bixo.product.action');
    Route::post('/action/{portal}/{user}', 'PortalActionController@post');

});


// Workflow routes for developer

Route::prefix('{guard}/developer')->group(function () {


    Route::get('/action/{developer}/{user}', 'DeveloperActionController@get')
        ->name('bixo.product.action');
    Route::post('/action/{developer}/{user}', 'DeveloperActionController@post');

});


// Workflow routes for description

Route::prefix('{guard}/description')->group(function () {

    Route::get('/workflow/{description}/{user}', 'DescriptionWorkflowController@get')
        ->name('bixo.product.workflow');
    Route::post('/workflow/{description}/{user}', 'DescriptionWorkflowController@post');

    Route::get('/action/{description}/{user}', 'DescriptionActionController@get')
        ->name('bixo.product.action');
    Route::post('/action/{description}/{user}', 'DescriptionActionController@post');

});

