<?php

namespace Bixo\Product\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Product\Http\Requests\DescriptionActionsRequest;
use Bixo\Product\Actions\DescriptionActions;

/**
 * Admin web controller class.
 */
class DescriptionActionsController extends BaseController
{

    /**
     * Action controller function for description.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(DescriptionActionsRequest $request, $action)
    {
        try {
            $description = DescriptionActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('product::description.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('product/description/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('product/description/' . $action))
                ->redirect();
        }
    }
}
