<?php

namespace Bixo\Product\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Product\Actions\DescriptionReport;
use Bixo\Product\Http\Requests\DescriptionReportRequest;

/**
 * Admin web controller class.
 */
class DescriptionReportController extends BaseController
{
    /**
     * Action controller function for description.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(DescriptionReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Description::class);
            $data = DescriptionReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('product::description.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('product/description/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('product/description/' . $report))
                ->redirect();
        }
    }
}
