<?php

namespace Bixo\Product\Policies;

use Bixo\Product\Models\Description;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait DescriptionAction
{

    /**
     * Determine if the given user can copy the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Description $description)
    {

        if ($authUser->canDo('product.description.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Description $description) {

        if ($authUser->canDo('product.description.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Description $description)
    {

        if ($authUser->canDo('product.description.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
