<?php


namespace Bixo\Product\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait DescriptionReport
{

    /**
     * Determine if the given user can approve the given description.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('product.description.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given description.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('product.description.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given description.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('product.description.report.download')) {
            return true;
        }

        return false;
    }
}
