<?php

namespace Bixo\Product\Policies;

use Bixo\Product\Models\Description;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait DescriptionWorkflow
{

    /**
     * Determine if the given user can approve the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Description $description)
    {
        if ($user->canDo('product.description.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Description $description)
    {
        if ($user->canDo('product.description.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Description $description)
    {
        if ($user->canDo('product.description.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Description $description)
    {
        if ($user->canDo('product.description.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Description $description)
    {
        if ($user->canDo('product.description.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Description $description)
    {
        if ($user->canDo('product.description.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given description.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Description $description)
    {
        if ($user->canDo('product.description.reject')) {
            return true;
        }

        return false;
    }

}
