<?php

namespace Bixo\Product\Policies;

use Bixo\Product\Models\Portal;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait PortalAction
{

    /**
     * Determine if the given user can copy the given portal.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Portal $portal)
    {

        if ($authUser->canDo('product.portal.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given portal.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Portal $portal) {

        if ($authUser->canDo('product.portal.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given portal.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Portal $portal)
    {

        if ($authUser->canDo('product.portal.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
