<?php

namespace Bixo\Product\Policies;

use Bixo\Product\Models\Property;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait PropertyAction
{

    /**
     * Determine if the given user can copy the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Property $property)
    {

        if ($authUser->canDo('product.property.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Property $property) {

        if ($authUser->canDo('product.property.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Property $property)
    {

        if ($authUser->canDo('product.property.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
