<?php

namespace Bixo\Product\Policies;

use Bixo\Product\Models\Property;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait PropertyWorkflow
{

    /**
     * Determine if the given user can approve the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Property $property)
    {
        if ($user->canDo('product.property.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Property $property)
    {
        if ($user->canDo('product.property.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Property $property)
    {
        if ($user->canDo('product.property.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Property $property)
    {
        if ($user->canDo('product.property.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Property $property)
    {
        if ($user->canDo('product.property.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Property $property)
    {
        if ($user->canDo('product.property.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Property $property)
    {
        if ($user->canDo('product.property.reject')) {
            return true;
        }

        return false;
    }

}
