<?php

namespace Bixo\Product\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Property policy
        \Bixo\Product\Models\Property::class 
        => \Bixo\Product\Policies\PropertyPolicy::class,// Bind Portal policy
        \Bixo\Product\Models\Portal::class 
        => \Bixo\Product\Policies\PortalPolicy::class,// Bind Developer policy
        \Bixo\Product\Models\Developer::class 
        => \Bixo\Product\Policies\DeveloperPolicy::class,// Bind Description policy
        \Bixo\Product\Models\Description::class 
        => \Bixo\Product\Policies\DescriptionPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
